## org.hibernate.annotations
Class QueryHints

    java.lang.Object
      org.hibernate.annotations.QueryHints

    public class QueryHints

extends Object

Field Summary
`static String` `CACHE_MODE`
`static String` `CACHE_REGION`
`static String` `CACHEABLE`
`static String` `CALLABLE`
`static String` `COMMENT`
`static String` `FETCH_SIZE`
`static String` `FLUSH_MODE`
`static String` `READ_ONLY`
`static String` `TIMEOUT_HIBERNATE`
`static String` `TIMEOUT_JPA`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CACHE_MODE

    public static final String CACHE_MODE

See Also:
  Constant Field Values

### CACHE_REGION

    public static final String CACHE_REGION

See Also:
  Constant Field Values

### CACHEABLE

    public static final String CACHEABLE

See Also:
  Constant Field Values

### CALLABLE

    public static final String CALLABLE

See Also:
  Constant Field Values

### COMMENT

    public static final String COMMENT

See Also:
  Constant Field Values

### FETCH_SIZE

    public static final String FETCH_SIZE

See Also:
  Constant Field Values

### FLUSH_MODE

    public static final String FLUSH_MODE

See Also:
  Constant Field Values

### READ_ONLY

    public static final String READ_ONLY

See Also:
  Constant Field Values

### TIMEOUT_HIBERNATE

    public static final String TIMEOUT_HIBERNATE

See Also:
  Constant Field Values

### TIMEOUT_JPA

    public static final String TIMEOUT_JPA

See Also:
  Constant Field Values

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.